{date}

API: weather.gov:national-weather-service-api
Endpoint: /aviation/sigmets/{atsu}/{date}
Response format: application/geo+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 368ms

Description

Returns a list of SIGMET/AIRMETs for the specified ATSU for the specified date

Parameters (2)

atsu (?, path, required)

ATSU identifier

date (?, path, required)

Date (YYYY-MM-DD format)

Examples (3)

SIGMETs for Oakland Center (KZOA) on January 15, 2024 curl
curl 'https://api.weather.gov/aviation/sigmets/KZOA/2024-01-15' \
  -H 'User-Agent: robustapi-example'
import requests

resp = requests.get(
    "https://api.weather.gov/aviation/sigmets/KZOA/2024-01-15",
    headers={
        'User-Agent': 'robustapi-example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("aviation/sigmets/{atsu}/{date}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/aviation/sigmets/KZOA/2024-01-15", {
  headers: {
    "User-Agent": "robustapi-example",
  },
});
const data = await resp.json();
SIGMETs for Los Angeles Center (KZLA) on June 20, 2024 curl
curl 'https://api.weather.gov/aviation/sigmets/KZLA/2024-06-20' \
  -H 'User-Agent: robustapi-example'
import requests

resp = requests.get(
    "https://api.weather.gov/aviation/sigmets/KZLA/2024-06-20",
    headers={
        'User-Agent': 'robustapi-example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("aviation/sigmets/{atsu}/{date}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/aviation/sigmets/KZLA/2024-06-20", {
  headers: {
    "User-Agent": "robustapi-example",
  },
});
const data = await resp.json();
SIGMETs for New York Center (KZNY) on March 10, 2024 curl
curl 'https://api.weather.gov/aviation/sigmets/KZNY/2024-03-10' \
  -H 'User-Agent: robustapi-example'
import requests

resp = requests.get(
    "https://api.weather.gov/aviation/sigmets/KZNY/2024-03-10",
    headers={
        'User-Agent': 'robustapi-example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("aviation/sigmets/{atsu}/{date}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/aviation/sigmets/KZNY/2024-03-10", {
  headers: {
    "User-Agent": "robustapi-example",
  },
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:33:11.806835 200 368ms
2026-04-04 03:24:00.025995 200 515ms
2026-04-04 02:55:39.715839 200 389ms
2026-04-03 14:17:07.500429 200 446ms
2026-04-03 13:49:32.226348 200 512ms
2026-04-03 13:27:14.351134 200 639ms
2026-03-30 07:40:13.046096 200 473ms
2026-03-30 06:38:44.111521 200 267ms
2026-03-30 06:14:58.587921 200 307ms
2026-03-29 15:26:58.516844 200 322ms
2026-03-29 14:12:25.614039 200 261ms
2026-03-29 14:06:12.693099 200 250ms
2026-03-23 11:07:23.003225 200 292ms
2026-03-23 09:21:34.834422 200 283ms
2026-03-22 21:31:15.178368 200 720ms